GET
/v1/operation-runsbetaapiKeyworkspace
When to use
Check progress after starting a data flow.
For agents
Pass the workflowId returned by operations.run. Inspect step errors, then use operations.getRunOutput with the completed step’s operation and run IDs. Requires read access to all steps.
Example
import { PermuteClient } from '@permute/sdk';
const orgClient = new PermuteClient({
apiKey: process.env.PERMUTE_API_KEY!,
});
const client = orgClient.withWorkspace(process.env.PERMUTE_WORKSPACE_ID!);
const result = await client.operations.listRuns({ workflowId: 'oper_flow123_wkfl_run123' });Response
{
"data": {
"workflowId": "oper_flow123_wkfl_run123",
"status": "running",
"totalRuns": 1,
"completedRuns": 0,
"failedRuns": 0,
"pendingRuns": 1,
"progressPct": 0,
"startedAt": "2026-09-10T12:00:00.000Z",
"completedAt": null,
"items": [
{
"id": "oprn_run123",
"operationId": "oper_revenue123",
"workflowId": "oper_flow123_wkfl_run123",
"revisionId": "rvsn_code123",
"status": "running",
"createdAt": "2026-09-10T12:00:00.000Z",
"completedAt": null,
"error": null,
"outputDocId": null
}
]
}
}